@charset "UTF-8";
/*

$(function(){
	$("#modalOpen").on('click', function(){
		$('body').addClass('no-scroll');
		$(".common-modal").addClass('opened');
	});
	
	$(".common-modal .close").on('click', function(){
		$('body').removeClass('no-scroll');
		$(this).parent().parent().removeClass('opened');
	})
});

<div class="common-modal">
	<div class="modal-inner">
		<button class="modal_close"></button>
		<h2>popup 제목</h2>
		<p>내용</p>
	</div>
</div>
*/
.common-modal {
	opacity: 0;
	visibility: hidden;
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	text-align: left;
	background: rgba(0, 0, 0, .6);
	transition: opacity .25s ease;
}

.common-modal.opened {
	opacity: 1;
	visibility: visible;
	z-index: 99;
}

.common-modal.opened .modal-inner {
	top: 0;
}

.common-modal .modal-inner {	
	position: absolute;
	top: -20%;
	right: 0;
	bottom: 0;
	left: 0;
	width: 80%;
	margin: auto;
	overflow: auto;
	background: #fff;
	border-radius: 8px;
	padding: 0.5em 1.5em;	
	height: 20%;
}
.common-modal .modal-close {
	position: absolute;
	right: 1em;
	top: 1em;
	width: 1.1em;
	height: 1.1em;
	cursor: pointer;
	z-index : 9999;
}

.common-modal .modal-close:after
, .common-modal .modal-close:before {
	content: '';
	position: absolute;
	width: 2px;
	height: 1.5em;
	background: #000;
	display: block;
	transform: rotate(45deg);
	left: 50%;
	margin: -3px 0 0 -1px;
	top: 0;
}

.common-modal .modal-close:hover:after
,.common-modal .modal-close:hover:before {
	background: #aaa;
}

.common-modal .modal-close:before {
	transform: rotate(-45deg);
}

.no-scroll{
	touch-action: none;
	overflow: hidden;
}
.common-modal .modal-btn{
	height: 48px;
    background-color: #ff5862;
    width: 100%;
    left: 0;
    bottom: 0;
    position: absolute;
    color: white;
	border-radius: unset;
}

.common-modal .modal-btn.ok{	    
    width: 50%; 
	left : 50%;   
    float: right;
}
.common-modal .modal-btn.cancel{
    width: 50%;    
    float: left;
	background-color : #9faab7;
}
.common-modal .modal-title {	
    height: 20%;
}
.common-modal .modal-msg {	
    height: 50%;
}
.common-modal.info-msg-modal .modal-inner .modal-msg p{
	margin-top: 10px;
    font-weight: bold;
    line-height: 18px;
    font-size: 14px;
    margin-bottom: 10px;
}
.common-modal.info-msg-modal .modal-inner .modal-msg span{
	margin-bottom: 25px;
    display: block;
    line-height: 18px;
    font-size: 13px;
}

.common-modal.confirm-msg-modal .modal-title {
	text-align: center;
    margin-top: 20px;
}
.common-modal.confirm-msg-modal .modal-msg {
	text-align: center;
}
.common-modal.alert-msg-modal .modal-title {
	text-align : center;
	margin-top: 10px;	
}
.common-modal.alert-msg-modal .modal-msg {
	text-align: center;
    font-size: 13px;
    padding-top: 20px;
}
.common-modal.info-msg-modal .modal-inner{
	height: 280px;
	overflow:hidden;
	padding-top : 20px;
}
.common-modal.info-msg-modal .modal-inner .modal-title{
	height : unset;
}
.common-modal.filter-type-modal .modal-inner{
	padding : unset;
	height : 150px;
}
.common-modal.filter-type-modal .modal-inner .modal-body{
	height : 100%;
}
.common-modal.filter-type-modal .modal-inner .modal-body ul{
	height : 100%;
}
.common-modal.filter-type-modal .modal-inner .modal-body ul li{
	list-style : none;
	display: table;
	border-bottom: 1px solid #d8e1ec;
	width: 100%;
	height : calc(100% / 3);
	cursor: pointer;
}
.common-modal.filter-type-modal .modal-inner .modal-body ul li:last-child{
	border-bottom: unset;
}
.common-modal.filter-type-modal .modal-inner .modal-body ul li:hover{
	background-color : #d8e1ec;
	opacity : 0.5;
}
.common-modal.filter-type-modal .modal-inner .modal-body ul li span{
	display: table-cell;
    text-align: center;
    vertical-align: middle;
	font-size: 15px;
	color : black;
}
.common-modal.app-install-confirm-modal .modal-inner {
	height: 250px;
	border-radius: 5px;
}
.common-modal.app-install-confirm-modal .modal-inner .close-btn{
	font-size: 15px;
    font-weight: bold;
    width: 20px;
    height: 20px;
    text-align: center;
    right: 10px;
    position: absolute;
}
.common-modal.app-install-confirm-modal .modal-btn.ok{	    
    width: 50%; 
	left : 50%;   
    float: right;
}
.common-modal.app-install-confirm-modal .modal-btn.cancel{
    width: 50%;
    float: left;
}
.common-modal.app-install-confirm-modal .alert-img{
	background-image: url(/m/common/css/image/icon/emoticon.svg);
    position: relative;
    height: 79px;
    width: 45%;
    display: block;
    margin: 0 auto;
    background-repeat: no-repeat;
    background-size: 100%;
    margin-top: 5%;
	margin-bottom: 10px;
}
.common-modal.app-install-confirm-modal .modal-title {
    height: 20px;
	text-align: center;
}
.common-modal.app-install-confirm-modal .modal-msg {
	height:50px;
	text-align: center;
}
@media screen and (min-width : 480px){
	.common-modal{
		width : 480px;
		margin: 0 auto;
	}
}
@media screen and (max-width: 768px) {
	.common-modal .modal-inner {
		width: 80%;		 
		box-sizing: border-box;
	}	
	.common-modal.confirm-msg-modal .modal-inner{
		height: 160px;
	}
	.common-modal.alert-msg-modal .modal-inner{
		height: 130px;
	}	    
	.common-modal.info-msg-modal .modal-inner .modal-title{
		height: unset;
	}
	.common-modal.info-msg-modal .modal-inner .modal-msg{
		height: unset;
	}
	.common-modal.info-msg-modal .modal-btn{
		height: 50px;
	}
	.common-modal.app-install-confirm-modal{
		
	}
	.common-modal.app-install-confirm-modal .modal-inner{
		height: 250px;
	}
}

    
